<< | Thread Index | >> ]    [ << | Date Index | >> ]

Subject: RH7.1 + cipe/pkcipe 1.5.2
From: jon,AT,malone,DOT,scotnet,DOT,co,DOT,uk
Date: Mon, 15 Oct 2001 00:29:50 +0200

jon,AT,malone,DOT,scotnet,DOT,co,DOT,uk
OK, so I don't know what I was whittering on about,
lines 50-54 of output.c did read

        #if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,4)
        #define ip_ident(h,d) ip_select_ident(h,d)
        #else
        #define ip_ident(h,d) ip_select_ident(h,d,NULL)
        #endif

Line 51 now reads
        #define ip_ident(h,d) ip_select_ident(h,d,NULL)

I loaded the latest gcc+cpp from redhat and hey-presto
the beast compiles and installs and runs.

The old cpp was inserting funny things into my code (numerics with ())
after some function names.

So to summarise
I was 7.0
I upgraded to 7.1 using the "garage edition" CDs.
        configure scrips needed modded
                to spot kernel version
                to spot compiler version
        kernel needed a reconfig (make menuconfig) and a recompile
        gcc+cpp needed upgraded
                gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-85)
        line 51 of output.c needed tweaked.

What a waste of time.  Anyway I am back where I was about 2 weeks ago!

jon





<< | Thread Index | >> ]    [ << | Date Index | >> ]